data:extend({
  --Vanilla
  --Logistics
  --Belt-->
  { type = "item-subgroup", group = "logistics", order = "bb", name = "logistic-ug-belt" },
  { type = "item-subgroup", group = "logistics", order = "bc", name = "logistic-splitter" },
  --Inserter-->
  { type = "item-subgroup", group = "logistics", order = "ca", name = "logistic-inserter-burner" },
  { type = "item-subgroup", group = "logistics", order = "cb", name = "logistic-inserter-standard" },
  { type = "item-subgroup", group = "logistics", order = "cc", name = "logistic-inserter-fast" },
  { type = "item-subgroup", group = "logistics", order = "cd", name = "logistic-inserter-smart" },
  { type = "item-subgroup", group = "logistics", order = "cd", name = "logistic-inserter-express" },
  --Pipe-->
  { type = "item-subgroup", group = "logistics", order = "da", name = "logistic-pipe" },
  { type = "item-subgroup", group = "logistics", order = "db", name = "logistic-ug-pipe" },
  { type = "item-subgroup", group = "logistics", order = "dc", name = "logistic-pipe-misc" },
  --Liquid Storage-->
  { type = "item-subgroup", group = "logistics", order = "dd", name = "logistic-liquid-storage" },
  
  --Intermedate
  --Bobs Materials-->
  { type = "item-subgroup", group = "intermediate-products", order = "e-1", name = "bob-intermediates", },
  { type = "item-subgroup", group = "intermediate-products", order = "e-a1", name = "bob-electronic-components", },
  { type = "item-subgroup", group = "intermediate-products", order = "e-a2", name = "bob-boards", },
  { type = "item-subgroup", group = "intermediate-products", order = "e-a3", name = "bob-electronic-boards", },
  { type = "item-subgroup", group = "intermediate-products", order = "e-b", name = "bob-gears", },
  { type = "item-subgroup", group = "intermediate-products", order = "e-c", name = "bob-bearings", },
  { type = "item-subgroup", group = "intermediate-products", order = "e-d", name = "bob-roboport-parts", },
  { type = "item-subgroup", group = "intermediate-products", order = "d-a", name = "bob-ammo-parts", },
  
  --Production
  --Tool-->
  { type = "item-subgroup", group = "production", order = "ab", name = "production-tool-misc", },
  --{ type = "item-subgroup", group = "production", order = "ac", name = "bob-tool", },
  --Miner-->
  { type = "item-subgroup", group = "production", order = "ba", name = "production-miner-burner", },
  { type = "item-subgroup", group = "production", order = "bb", name = "production-miner-speed", },
  { type = "item-subgroup", group = "production", order = "bc", name = "production-miner-range", },
  { type = "item-subgroup", group = "production", order = "bd", name = "production-miner-special", },
  { type = "item-subgroup", group = "production", order = "be", name = "production-crusher", },
  --Furnace-->
  { type = "item-subgroup", group = "production", order = "ca", name = "production-furnace-burner", },
  { type = "item-subgroup", group = "production", order = "cb", name = "production-furnace-electric", },
  { type = "item-subgroup", group = "production", order = "cc", name = "production-furnace-chemical", },
  { type = "item-subgroup", group = "production", order = "cd", name = "production-furnace-mixing", },
  --Assmebly-->
  { type = "item-subgroup", group = "production", order = "da", name = "production-assembly", },
  { type = "item-subgroup", group = "production", order = "db", name = "production-assembly-special", },
  --Oil-->
  { type = "item-subgroup", group = "production", order = "ea", name = "production-refinery", },
  { type = "item-subgroup", group = "production", order = "eb", name = "production-chemical-plant", },
  { type = "item-subgroup", group = "production", order = "ec", name = "production-electrolyser", },
  { type = "item-subgroup", group = "production", order = "ed", name = "production-pumpjack", },
  { type = "item-subgroup", group = "production", order = "dc", name = "production-lab", },
	
  --Combat
  --Vehicle-->
  { type = "item-subgroup", group = "combat", order = "a", name = "combat-vehicle", },
  --Turret-->
  { type = "item-subgroup", group = "combat", order = "fa", name = "combat-turret-gun", },
  { type = "item-subgroup", group = "combat", order = "fb", name = "combat-turret-sniper", },
  { type = "item-subgroup", group = "combat", order = "fc", name = "combat-turret-laser", },
  
  { type = "item-subgroup", group = "combat", order = "h", name = "combat-misc", },
  
  --Category Added Robo-Logistics
  { type = "item-group", name = "crs-robo-logistic", order = "e", inventory_order = "x", icon = "__crafting_recipe_sorter__/graphics/icon/crs-robo-logistic.png", },
	
  --Chest-->
  { type = "item-subgroup", group = "crs-robo-logistic", order = "aa", name = "robo-logistic-storage", },
  { type = "item-subgroup", group = "crs-robo-logistic", order = "ab", name = "robo-logistic-requester", },
  { type = "item-subgroup", group = "crs-robo-logistic", order = "ac", name = "robo-logistic-active", },
  { type = "item-subgroup", group = "crs-robo-logistic", order = "ad", name = "robo-logistic-passive", },
  --Robots-->
  { type = "item-subgroup", group = "crs-robo-logistic", order = "ba", name = "robo-logistic-robot-construction", },
  { type = "item-subgroup", group = "crs-robo-logistic", order = "bb", name = "robo-logistic-robot-logistic", },
  --Roboport-->
  { type = "item-subgroup", group = "crs-robo-logistic", order = "ca", name = "robo-logistic-robo-port", },
  { type = "item-subgroup", group = "crs-robo-logistic", order = "cb", name = "robo-logistic-robo-chest", },
  { type = "item-subgroup", group = "crs-robo-logistic", order = "cc", name = "robo-logistic-robo-expander", },
  { type = "item-subgroup", group = "crs-robo-logistic", order = "cd", name = "robo-logistic-robo-charge", },
  
  --Category Added "Energy"
  { type = "item-group", name = "crs-energy", order = "e", inventory_order = "x", icon = "__crafting_recipe_sorter__/graphics/icon/crs-energy.png", },
  
  --Boiler-->
  { type = "item-subgroup", group = "crs-energy", order = "a", name = "energy-boiler", },
  --Engine-->
  { type = "item-subgroup", group = "crs-energy", order = "b", name = "energy-engine", },
  --Solar-->
  { type = "item-subgroup", group = "crs-energy", order = "ca", name = "energy-solar-small", },
  { type = "item-subgroup", group = "crs-energy", order = "cb", name = "energy-solar", },
  { type = "item-subgroup", group = "crs-energy", order = "cc", name = "energy-solar-big", },
  --Accumulator-->
  { type = "item-subgroup", group = "crs-energy", order = "da", name = "energy-accumulator", },
  { type = "item-subgroup", group = "crs-energy", order = "db", name = "energy-accumulator-big", },
  { type = "item-subgroup", group = "crs-energy", order = "dc", name = "energy-accumulator-fast", },
  --Pole-->
  { type = "item-subgroup", group = "crs-energy", order = "ea", name = "energy-pole-small", },
  { type = "item-subgroup", group = "crs-energy", order = "eb", name = "energy-pole-medium", },
  { type = "item-subgroup", group = "crs-energy", order = "ec", name = "energy-pole-big", },
  { type = "item-subgroup", group = "crs-energy", order = "ed", name = "energy-substation", },
  { type = "item-subgroup", group = "crs-energy", order = "fb", name = "energy-misc", },
  --Pump-->
  { type = "item-subgroup", group = "crs-energy", order = "ga", name = "energy-pump-offshore", },
  { type = "item-subgroup", group = "crs-energy", order = "gb", name = "energy-pump-small", },
  
  --Category Added "Train"
  { type = "item-group", name = "crs-train", order = "bi", inventory_order = "y", icon = "__crafting_recipe_sorter__/graphics/icon/crs-train2.png", },
  
  --Locomotive-->
  { type = "item-subgroup", group = "crs-train", order = "b", name = "train-locomotive", },
  { type = "item-subgroup", group = "crs-train", order = "c", name = "train-locomotive-misc", },
  --Wagon-->
  { type = "item-subgroup", group = "crs-train", order = "d", name = "train-wagon-ore", },
  { type = "item-subgroup", group = "crs-train", order = "e", name = "train-wagon-cargo",	},
  { type = "item-subgroup", group = "crs-train", order = "f", name = "train-wagon-fluid", },
  { type = "item-subgroup", group = "crs-train", order = "g", name = "train-wagon-gas", },
  { type = "item-subgroup", group = "crs-train", order = "h", name = "train-wagon-logistic", },
  { type = "item-subgroup", group = "crs-train", order = "i", name = "train-wagon-energy", },
  { type = "item-subgroup", group = "crs-train", order = "j", name = "train-wagon-combat", },
  --Rail-->
  { type = "item-subgroup", group = "crs-train", order = "k", name = "train-rail", },
  { type = "item-subgroup", group = "crs-train", order = "l", name = "train-curve-rail", },
  --Misc-->
  { type = "item-subgroup", group = "crs-train", order = "m", name = "train-station", },
  { type = "item-subgroup", group = "crs-train", order = "n", name = "train-signal", },
  { type = "item-subgroup", group = "crs-train", order = "o", name = "train-circuit", },
  
  --Category Added "Decoration"
  {type = "item-group", name = "crs-decoration", order = "bk", inventory_order = "z", icon = "__crafting_recipe_sorter__/graphics/icon/crs-decoration.png", },
  
  --light-->
  { type = "item-subgroup", group = "crs-decoration", order = "a", name = "energy-light", },
  
  --Floor
  { type = "item-subgroup", group = "crs-decoration", order = "c", name = "terrain", },
  { type = "item-subgroup", group = "crs-decoration", order = "f", name = "decoration-floor-yuoki", },
  { type = "item-subgroup", group = "crs-decoration", order = "k", name = "decoration-banner", },
  
  --Bob's Fluids
  --Refine-->
  { type = "item-subgroup", group = "bob-fluid-products", order = "", name = "refine", },
  --Cracking-->
  { type = "item-subgroup", group = "bob-fluid-products", order = "a", name = "cracking", },
  --Fuel-->
  { type = "item-subgroup", group = "bob-fluid-products", order = "a", name = "fuel", },
  
  --Bob's Materials
  --Gems-->
  { type = "item-subgroup", group = "bob-resource-products", order = "d-a", name = "bob-gems", },
  { type = "item-subgroup", group = "bob-resource-products", order = "d-a", name = "bob-gems-ore", },
  { type = "item-subgroup", group = "bob-resource-products", order = "d-b", name = "bob-gems-raw", },
  { type = "item-subgroup", group = "bob-resource-products", order = "d-c", name = "bob-gems-cut", },
  { type = "item-subgroup", group = "bob-resource-products", order = "d-d", name = "bob-gems-polished", },

})