data:extend({

	--YI-Railways
	{ type="item-subgroup", group="crs-train", order="e2", name="yir_cargowagons", }, --cargo-wagons
	{ type="item-subgroup", group="crs-train", order="e3", name="yir_cargowagons_2A2", },
	{ type="item-subgroup", group="crs-train", order="e4", name="yir_cargowagons_4A", },
	{ type="item-subgroup", group="crs-train", order="b2", name="yir_locomotives_diesel", }, --locomotives
	{ type="item-subgroup", group="crs-train", order="b3", name="yir_locomotives_nslong", }, --locos no-steam-long
	{ type="item-subgroup", group="crs-train", order="b4", name="yir_locomotives_steam", }, --steam-locos
	{ type="item-subgroup", group="crs-train", order="a2", name="yir_material", }, --material
	{ type="item-subgroup", group="crs-train", order="a3", name="yir_parts", }, --train parts
	{ type="item-subgroup", group="crs-train", order="f2", name="yir_tankwagons2a", }, --tank-wagons
	{ type="item-subgroup", group="crs-train", order="a", name="yir_workshop", }, --workshop
	{ type="item-subgroup", group="crs-train", order="a", name="yir_railyardliquid", }, --liquid handling by fatmice
	
})

--[[
--Locomotive-->
data.raw.item["y_loco_emd3000_white"].subgroup = "train-locomotive";
data.raw.item["y_loco_emd3000_white"].order = "z";
data.raw.recipe["y_loco_emd3000_white_recipe"].subgroup = "train-locomotive";
data.raw.recipe["y_loco_emd3000_white_recipe"].order = "z";

data.raw.item["yir_loco_del_bluegray"].subgroup = "train-locomotive";
data.raw.item["yir_loco_del_bluegray"].order = "z";
data.raw.recipe["yir_loco_de_bluegray_recipe"].subgroup = "train-locomotive";
data.raw.recipe["yir_loco_de_bluegray_recipe"].order = "z";

data.raw.item["y_loco_fs_steam_green"].subgroup = "train-locomotive";
data.raw.item["y_loco_fs_steam_green"].order = "z";
data.raw.recipe["y_loco_fs_steam_green_recipe"].subgroup = "train-locomotive";
data.raw.recipe["y_loco_fs_steam_green_recipe"].order = "z";

data.raw.item["yir_loco_sel_blue"].subgroup = "train-locomotive";
data.raw.item["yir_loco_sel_blue"].order = "z";
data.raw.recipe["yir_loco_sel_blue_recipe"].subgroup = "train-locomotive";
data.raw.recipe["yir_loco_sel_blue_recipe"].order = "z";

data.raw.item["y_loco_emd1500blue"].subgroup = "train-locomotive";
data.raw.item["y_loco_emd1500blue"].order = "z";
data.raw.recipe["y_loco_emd1500blue_recipe"].subgroup = "train-locomotive";
data.raw.recipe["y_loco_emd1500blue_recipe"].order = "z";

data.raw.item["y_loco_emd1500black"].subgroup = "train-locomotive";
data.raw.item["y_loco_emd1500black"].order = "z";
data.raw.recipe["y_loco_emd1500black_recipe"].subgroup = "train-locomotive";
data.raw.recipe["y_loco_emd1500black_recipe"].order = "z";

data.raw.item["y_loco_desw"].subgroup = "train-locomotive";
data.raw.item["y_loco_desw"].order = "z";
data.raw.recipe["y_loco_desw_recipe"].subgroup = "train-locomotive";
data.raw.recipe["y_loco_desw_recipe"].order = "z";

data.raw.item["y_loco_desw_orange"].subgroup = "train-locomotive";
data.raw.item["y_loco_desw_orange"].order = "z";
data.raw.recipe["y_loco_desw_orange_recipe"].subgroup = "train-locomotive";
data.raw.recipe["y_loco_desw_orange_recipe"].order = "z";

data.raw.item["y_loco_desw_blue"].subgroup = "train-locomotive";
data.raw.item["y_loco_desw_blue"].order = "z";
data.raw.recipe["y_loco_desw_blue_recipe"].subgroup = "train-locomotive";
data.raw.recipe["y_loco_desw_blue_recipe"].order = "z";

data.raw.item["y_loco_ses_std"].subgroup = "train-locomotive";
data.raw.item["y_loco_ses_std"].order = "z";
data.raw.recipe["y_loco_ses_std_recipe"].subgroup = "train-locomotive";
data.raw.recipe["y_loco_ses_std_recipe"].order = "z";

data.raw.item["y_loco_ses_red"].subgroup = "train-locomotive";
data.raw.item["y_loco_ses_red"].order = "z";
data.raw.recipe["y_loco_ses_red_recipe"].subgroup = "train-locomotive";
data.raw.recipe["y_loco_ses_red_recipe"].order = "z";


--Wagon Ore-->
data.raw.item["y_wagon_coal"].subgroup = "train-wagon-ore";
data.raw.item["y_wagon_coal"].order = "c";
data.raw.recipe["y_wagon_coal_recipe"].subgroup = "train-wagon-ore";
data.raw.recipe["y_wagon_coal_recipe"].order = "c";

data.raw.item["y_wagon_copper"].subgroup = "train-wagon-ore";
data.raw.item["y_wagon_copper"].order = "b";
data.raw.recipe["y_wagon_copper_recipe"].subgroup = "train-wagon-ore";
data.raw.recipe["y_wagon_copper_recipe"].order = "b";

data.raw.item["y_wagon_iron"].subgroup = "train-wagon-ore";
data.raw.item["y_wagon_iron"].order = "a";
data.raw.recipe["y_wagon_iron_recipe"].subgroup = "train-wagon-ore";
data.raw.recipe["y_wagon_iron_recipe"].order = "a";

data.raw.item["y_wagon_stone"].subgroup = "train-wagon-ore";
data.raw.item["y_wagon_stone"].order = "d";
data.raw.recipe["y_wagon_stone_recipe"].subgroup = "train-wagon-ore";
data.raw.recipe["y_wagon_stone_recipe"].order = "d";

--Wagon Cargo-->
data.raw.item["y_wagon_trans"].subgroup = "train-wagon-cargo";
data.raw.item["y_wagon_trans"].order = "g";
data.raw.recipe["y_wagon_trans_recipe"].subgroup = "train-wagon-cargo";
data.raw.recipe["y_wagon_trans_recipe"].order = "g";

data.raw.item["y_wagon_closed"].subgroup = "train-wagon-cargo";
data.raw.item["y_wagon_closed"].order = "g";
data.raw.recipe["yir_wagon2a_closed_recipe"].subgroup = "train-wagon-cargo";
data.raw.recipe["yir_wagon2a_closed_recipe"].order = "g";

data.raw.item["y_wagon_corn_blue"].subgroup = "train-wagon-cargo";
data.raw.item["y_wagon_corn_blue"].order = "g";
data.raw.recipe["y_wagon_corn_blue_recipe"].subgroup = "train-wagon-cargo";
data.raw.recipe["y_wagon_corn_blue_recipe"].order = "g";

data.raw.item["y_wagon_corn_green"].subgroup = "train-wagon-cargo";
data.raw.item["y_wagon_corn_green"].order = "g";
data.raw.recipe["y_wagon_corn_green_recipe"].subgroup = "train-wagon-cargo";
data.raw.recipe["y_wagon_corn_green_recipe"].order = "g";

data.raw.item["y_wagon_hopper_yellow"].subgroup = "train-wagon-cargo";
data.raw.item["y_wagon_hopper_yellow"].order = "h";
data.raw.recipe["y_wagon_hopper_yellow_recipe"].subgroup = "train-wagon-cargo";
data.raw.recipe["y_wagon_hopper_yellow_recipe"].order = "h";

data.raw.item["y_wagon_zement_white"].subgroup = "train-wagon-cargo";
data.raw.item["y_wagon_zement_white"].order = "f";
data.raw.recipe["y_wagon_zement_white_recipe"].subgroup = "train-wagon-cargo";
data.raw.recipe["y_wagon_zement_white_recipe"].order = "f";

data.raw.item["y_wagon_zement_gray"].subgroup = "train-wagon-cargo";
data.raw.item["y_wagon_zement_gray"].order = "f";
data.raw.recipe["y_wagon_zement_gray_recipe"].subgroup = "train-wagon-cargo";
data.raw.recipe["y_wagon_zement_gray_recipe"].order = "f";

data.raw.item["y_wagon_tender_green"].subgroup = "train-wagon-cargo";
data.raw.item["y_wagon_tender_green"].order = "i";
data.raw.recipe["y_wagon_tender_green_recipe"].subgroup = "train-wagon-cargo";
data.raw.recipe["y_wagon_tender_green_recipe"].order = "i";

data.raw.item["y_wagon_tender_black"].subgroup = "train-wagon-cargo";
data.raw.item["y_wagon_tender_black"].order = "i";
data.raw.recipe["y_wagon_tender_black_recipe"].subgroup = "train-wagon-cargo";
data.raw.recipe["y_wagon_tender_black_recipe"].order = "i";

data.raw.item["y_wagon_tender_green"].subgroup = "train-wagon-cargo";
data.raw.item["y_wagon_tender_green"].order = "i";
data.raw.recipe["y_wagon_tender_green_recipe"].subgroup = "train-wagon-cargo";
data.raw.recipe["y_wagon_tender_green_recipe"].order = "i";

data.raw.item["y_wagon_tender_black"].subgroup = "train-wagon-cargo";
data.raw.item["y_wagon_tender_black"].order = "i";
data.raw.recipe["y_wagon_tender_black_recipe"].subgroup = "train-wagon-cargo";
data.raw.recipe["y_wagon_tender_black_recipe"].order = "i";
--
data.raw.item["yir_4acw_purple"].subgroup = "train-wagon-cargo";
data.raw.item["yir_4acw_purple"].order = "i";
data.raw.recipe["yir_4acw_purple_recipe"].subgroup = "train-wagon-cargo";
data.raw.recipe["yir_4acw_purple_recipe"].order = "i";

data.raw.item["yir_4acw_oceanblue"].subgroup = "train-wagon-cargo";
data.raw.item["yir_4acw_oceanblue"].order = "i";
data.raw.recipe["yir_4acw_oceanblue_recipe"].subgroup = "train-wagon-cargo";
data.raw.recipe["yir_4acw_oceanblue_recipe"].order = "i";

data.raw.item["yir_4acw_grey"].subgroup = "train-wagon-cargo";
data.raw.item["yir_4acw_grey"].order = "i";
data.raw.recipe["yir_4acw_grey_recipe"].subgroup = "train-wagon-cargo";
data.raw.recipe["yir_4acw_grey_recipe"].order = "i";
]]--
--Wagon Fluid-->
data.raw.item["y_wagon_tank_fm1"].subgroup = "train-wagon-fluid";
data.raw.item["y_wagon_tank_fm1"].order = "z";
data.raw.recipe["y_wagon_tank_fm1_recipe"].subgroup = "train-wagon-fluid";
data.raw.recipe["y_wagon_tank_fm1_recipe"].order = "z";

data.raw.item["y_wagon_tank_fm2"].subgroup = "train-wagon-fluid";
data.raw.item["y_wagon_tank_fm2"].order = "z";
data.raw.recipe["y_wagon_tank_fm2_recipe"].subgroup = "train-wagon-fluid";
data.raw.recipe["y_wagon_tank_fm2_recipe"].order = "z";

data.raw.item["y_wagon_tank_orange"].subgroup = "train-wagon-fluid";
data.raw.item["y_wagon_tank_orange"].order = "z";
data.raw.recipe["yir_wagon2a_tank_orange_recipe"].subgroup = "train-wagon-fluid";
data.raw.recipe["yir_wagon2a_tank_orange_recipe"].order = "z";

data.raw.item["y_wagon_tank_blue"].subgroup = "train-wagon-fluid";
data.raw.item["y_wagon_tank_blue"].order = "z";
data.raw.recipe["yir_wagon2a_tank_blue_recipe"].subgroup = "train-wagon-fluid";
data.raw.recipe["yir_wagon2a_tank_blue_recipe"].order = "z";

--Pump-->
data.raw.item["y_loco_access-pipe-in"].subgroup = "energy-pipe-distribution";
data.raw.item["y_loco_access-pipe-in"].order = "z";
data.raw.recipe["y_loco_access-pipe-in"].subgroup = "energy-pipe-distribution";
data.raw.recipe["y_loco_access-pipe-in"].order = "z";

data.raw.item["y_loco_access-pipe-out"].subgroup = "energy-pipe-distribution";
data.raw.item["y_loco_access-pipe-out"].order = "z";
data.raw.recipe["y_loco_access-pipe-out"].subgroup = "energy-pipe-distribution";
data.raw.recipe["y_loco_access-pipe-out"].order = "z";

--Floor-->
data.raw.item["y_path_labor"].subgroup = "decoration-floor-yuoki";
data.raw.item["y_path_labor"].order = "z";
data.raw.recipe["y_path_labor_recipe"].subgroup = "decoration-floor-yuoki";
data.raw.recipe["y_path_labor_recipe"].order = "z";

data.raw.item["y_path_science"].subgroup = "decoration-floor-yuoki";
data.raw.item["y_path_science"].order = "z";
data.raw.recipe["y_path_science_recipe"].subgroup = "decoration-floor-yuoki";
data.raw.recipe["y_path_science_recipe"].order = "z";

data.raw.item["y_path_slag"].subgroup = "decoration-floor-yuoki";
data.raw.item["y_path_slag"].order = "z";
data.raw.recipe["y_path_slag_recipe"].subgroup = "decoration-floor-yuoki";
data.raw.recipe["y_path_slag_recipe"].order = "z";

data.raw.item["y_tgb"].subgroup = "decoration-floor-yuoki";
data.raw.item["y_tgb"].order = "z";
data.raw.recipe["y_tgb_recipe"].subgroup = "decoration-floor-yuoki";
data.raw.recipe["y_tgb_recipe"].order = "z";

data.raw.item["y_path_checker"].subgroup = "decoration-floor-yuoki";
data.raw.item["y_path_checker"].order = "z";
data.raw.recipe["y_path_checker_recipe"].subgroup = "decoration-floor-yuoki";
data.raw.recipe["y_path_checker_recipe"].order = "z";

data.raw.item["y_tring"].subgroup = "decoration-floor-yuoki";
data.raw.item["y_tring"].order = "z";
data.raw.recipe["y_tring_recipe"].subgroup = "decoration-floor-yuoki";
data.raw.recipe["y_tring_recipe"].order = "z";


