data:extend({

	{ type="item-subgroup", group="logistics", order="d", name="y-pipe", },
	
	{ type="item-subgroup", group="production", order="ab", name="y-tools", },
	{ type="item-subgroup", group="production", order="be", name="y_line1", },
	{ type="item-subgroup", group="production", order="ad", name="y_line2", },
	{ type="item-subgroup", group="bob-resource-products", order="d-e", name="y_line3", },
	{ type="item-subgroup", group="bob-resource-products", order="d-f", name="y_line4", },
	{ type="item-subgroup", group="production", order="6", name="y_line6", },
	
	{ type="item-subgroup", group="intermediate-products", order="3-d", name="y_refine_parts", }, --Mechanical Parts
	{ type="item-subgroup", group="intermediate-products", order="4-g", name="y-raw-material", },
	{ type="item-subgroup", group="intermediate-products", order="5-a", name="y_refine_machinery", }, --machinery to refine/handle fluids
	{ type="item-subgroup", group="intermediate-products", order="7-a", name="y-parts", },
	{ type="item-subgroup", group="intermediate-products", order="7-a", name="y_parts_e", },
	{ type="item-subgroup", group="intermediate-products", order="a1", name="y-fuel", },
	{ type="item-subgroup", group="intermediate-products", order="4-c", name="y-electric", },
	{ type="item-subgroup", group="intermediate-products", order="4-h", name="y-tech", },
	
	{ type="item-subgroup", group="bob-resource-products", order="4-h", name="y-ore", },
	
	{ type="item-subgroup", group="bob-fluid-products", order="h-c", name="y-atomics", },
	{ type="item-subgroup", group="bob-fluid-products", order="h-d", name="y-atomics-f", },
	{ type="item-subgroup", group="bob-fluid-products", order="h-e", name="y-atomics-r", },
	{ type="item-subgroup", group="bob-fluid-products", order="g-a", name="y-fluid", }, --alte Rezepte
	{ type="item-subgroup", group="bob-fluid-products", order="g-b", name="y_refine_material", }, --for materials
	{ type="item-subgroup", group="bob-fluid-products", order="g-c", name="y_refine_raws", }, --base materials
	
	{ type="item-subgroup", group="crs-energy", order="a2", name="y-boiler", },
	{ type="item-subgroup", group="crs-energy", order="a4", name="y-e-gens", },
	{ type="item-subgroup", group="crs-energy", order="4-a", name="y-energy-2", },
	{ type="item-subgroup", group="crs-energy", order="4-b", name="yuoki_energy_gen_steam", },
	{ type="item-subgroup", group="combat", order="b1", name="y-ammo", },
	{ type="item-subgroup", group="combat", order="f1", name="y_defense_walls", },
	
	{ type="item-subgroup", group="bobmodules", order="a5", name="y-module", },
		
})
--[[
data.raw.item[].subgroup = ;
data.raw.item[].order = "";
data.raw.recipe[].subgroup = ;
data.raw.recipe[].order = "";
]]--
--Metal-Processing-->
data.raw.recipe["y-pure-iron-recipe"].subgroup = "bob-material-smelting";
data.raw.recipe["y-pure-iron-recipe"].order = "a";

data.raw.recipe["y-pure-copper-recipe"].subgroup = "bob-material-smelting";
data.raw.recipe["y-pure-copper-recipe"].order = "a";

--Robots-->
data.raw.item["yi_logistic-robot"].subgroup = "robo-logistic-robot-logistic";
data.raw.item["yi_logistic-robot"].order = "z";
data.raw.recipe["yi_logistic-robot_recipe"].subgroup = "robo-logistic-robot-logistic";
data.raw.recipe["yi_logistic-robot_recipe"].order = "z";

data.raw.item["yi_construction-robot"].subgroup = "robo-logistic-robot-construction";
data.raw.item["yi_construction-robot"].order = "z";
data.raw.recipe["yi_construction-robot_recipe"].subgroup = "robo-logistic-robot-construction";
data.raw.recipe["yi_construction-robot_recipe"].order = "z";

--Fuel-->
data.raw.item["y-fuel-cell-c"].subgroup = "y-fuel";
data.raw.item["y-fuel-cell-c"].order = "1";
data.raw.recipe["y-sgtrade-ic1-recipe"].subgroup = "y-fuel";
data.raw.recipe["y-sgtrade-ic1-recipe"].order = "1";

--Tools-->
--data.raw.item["y-repair-durotal"].subgroup = "tool";
--data.raw.item["y-repair-durotal"].order = "b[repair]-a[repair-pack]";
data.raw.recipe["y-repair-durotal-recipe"].subgroup = "tool";
data.raw.recipe["y-repair-durotal-recipe"].order = "b[repair]-a[repair-pack]";

--data.raw.item["y-repair-krakon"].subgroup = "tool";
--data.raw.item["y-repair-krakon"].order = "b[repair]-a[repair-pack]";
data.raw.recipe["y-repair-krakon-recipe"].subgroup = "tool";
data.raw.recipe["y-repair-krakon-recipe"].order = "b[repair]-a[repair-pack]";

--data.raw.item["y_repair_quantrinum"].subgroup = "tool";
--data.raw.item["y_repair_quantrinum"].order = "b[repair]-a[repair-pack]";
data.raw.recipe["y_repair_quantrinum-recipe"].subgroup = "tool";
data.raw.recipe["y_repair_quantrinum-recipe"].order = "b[repair]-a[repair-pack]";

--data.raw.item["y-axe-duro"].subgroup = "tool";
--data.raw.item["y-axe-duro"].order = "a[mining]-d[cobalt-axe]";
data.raw.recipe["y-axe-durotal-recipe"].subgroup = "tool";
data.raw.recipe["y-axe-durotal-recipe"].order = "a[mining]-d[cobalt-axe]";

--data.raw.item["y_quantrinum_hammer"].subgroup = "tool";
--data.raw.item["y_quantrinum_hammer"].order = "a[mining]-g[diamond-axe]";
data.raw.recipe["y_quantrinum_hammer_recipe"].subgroup = "tool";
data.raw.recipe["y_quantrinum_hammer_recipe"].order = "a[mining]-g[diamond-axe]";

--Inserter-->
--data.raw.item["y-inserter-s4"].subgroup = "logistic-inserter-standard";
--data.raw.item["y-inserter-s4"].order = "e";
data.raw.recipe["y-inserter-s4-recipe"].subgroup = "logistic-inserter-standard";
data.raw.recipe["y-inserter-s4-recipe"].order = "e";

--Fame-->
data.raw.item["y-fame"].subgroup = "raw-material";
data.raw.item["y-fame"].order = "h";
data.raw.recipe["y-fame-recipe"].subgroup = "raw-material";
data.raw.recipe["y-fame-recipe"].order = "h";

--Power-->
data.raw.item["y-substation-m"].subgroup = "energy-substation";
data.raw.item["y-substation-m"].order = "e";
data.raw.recipe["y-substation-m-recipe"].subgroup = "energy-substation";
data.raw.recipe["y-substation-m-recipe"].order = "e";

data.raw.item["y-substation-h"].subgroup = "energy-substation";
data.raw.item["y-substation-h"].order = "f";
data.raw.recipe["y-substation-h-recipe"].subgroup = "energy-substation";
data.raw.recipe["y-substation-h-recipe"].order = "f";

data.raw.item["y-mining-drill"].subgroup = "production-miner-burner";
data.raw.item["y-mining-drill"].order = "b";
data.raw.recipe["y-mining-drill-recipe"].subgroup = "production-miner-burner";
data.raw.recipe["y-mining-drill-recipe"].order = "b";

data.raw.item["y-mining-drill-e2"].subgroup = "production-miner-speed";
data.raw.item["y-mining-drill-e2"].order = "c";
data.raw.recipe["y-mining-drill-e2-recipe"].subgroup = "production-miner-speed";
data.raw.recipe["y-mining-drill-e2-recipe"].order = "c";

data.raw.item["y-underground-drill"].subgroup = "production-miner-special";
data.raw.item["y-underground-drill"].order = "b";
data.raw.recipe["y-underground-drill-recipe"].subgroup = "production-miner-special";
data.raw.recipe["y-underground-drill-recipe"].order = "b";

data.raw.item["y_gauge"].subgroup = "y-parts";
data.raw.item["y_gauge"].order = "z";
data.raw.recipe["y_gauge_analog_recipe"].subgroup = "y-parts";
data.raw.recipe["y_gauge_analog_recipe"].order = "z";


--Chest-->
data.raw.item["y_sc11"].subgroup = "storage";
data.raw.item["y_sc11"].order = "e";
data.raw.recipe["y-rare-chest-recipe"].subgroup = "storage";
data.raw.recipe["y-rare-chest-recipe"].order = "e";

data.raw.item["y_c22"].subgroup = "storage";
data.raw.item["y_c22"].order = "e";
data.raw.recipe["y-rare-s1bunker-recipe"].subgroup = "storage";
data.raw.recipe["y-rare-s1bunker-recipe"].order = "e";

data.raw.item["y_cg33"].subgroup = "storage";
data.raw.item["y_cg33"].order = "e";
data.raw.recipe["y_cg33_recipe"].subgroup = "storage";
data.raw.recipe["y_cg33_recipe"].order = "e";

data.raw.item["y_sc44"].subgroup = "storage";
data.raw.item["y_sc44"].order = "e";
data.raw.recipe["y_sc44_recipe"].subgroup = "storage";
data.raw.recipe["y_sc44_recipe"].order = "e";

data.raw.item["y_rc22"].subgroup = "robo-logistic-requester";
data.raw.item["y_rc22"].order = "b";
data.raw.recipe["y_rc22_recipe"].subgroup = "robo-logistic-requester";
data.raw.recipe["y_rc22_recipe"].order = "b";

data.raw.item["y_pc22"].subgroup = "robo-logistic-passive";
data.raw.item["y_pc22"].order = "b";
data.raw.recipe["y_pc22_recipe"].subgroup = "robo-logistic-passive";
data.raw.recipe["y_pc22_recipe"].order = "b";

data.raw.item["y-rare-chest-log"].subgroup = "robo-logistic-storage";
data.raw.item["y-rare-chest-log"].order = "b";
data.raw.recipe["y-rare-chest-log-recipe"].subgroup = "robo-logistic-storage";
data.raw.recipe["y-rare-chest-log-recipe"].order = "b";

data.raw.item["y-rare-m1bunker-log"].subgroup = "robo-logistic-storage";
data.raw.item["y-rare-m1bunker-log"].order = "b";
data.raw.recipe["y-rare-m1bunker-log-recipe"].subgroup = "robo-logistic-storage";
data.raw.recipe["y-rare-m1bunker-log-recipe"].order = "b";

--Turret-->
data.raw.item["y-laser-def-s4"].subgroup = "combat-turret-laser";
data.raw.item["y-laser-def-s4"].order = "z";
data.raw.recipe["y-laser-gun-upg1-recipe"].subgroup = "combat-turret-laser";
data.raw.recipe["y-laser-gun-upg1-recipe"].order = "z";

data.raw.item["y_turret_laser22f12"].subgroup = "combat-turret-laser";
data.raw.item["y_turret_laser22f12"].order = "z";
data.raw.recipe["y-laser-gun-upg2-recipe"].subgroup = "combat-turret-laser";
data.raw.recipe["y-laser-gun-upg2-recipe"].order = "z";

data.raw.item["y-weapon-ztt"].subgroup = "combat-turret-laser";
data.raw.item["y-weapon-ztt"].order = "z";
data.raw.recipe["y-weapon-ztt-recipe"].subgroup = "combat-turret-laser";
data.raw.recipe["y-weapon-ztt-recipe"].order = "z";

data.raw.item["y_turret_gun2f12"].subgroup = "combat-turret-gun";
data.raw.item["y_turret_gun2f12"].order = "z";
data.raw.recipe["y-gun-turret-mk2-recipe"].subgroup = "combat-turret-gun";
data.raw.recipe["y-gun-turret-mk2-recipe"].order = "z";

data.raw.item["y_turret_gun1f12"].subgroup = "combat-turret-gun";
data.raw.item["y_turret_gun1f12"].order = "z";
data.raw.recipe["y-gun-turret-mk3-recipe"].subgroup = "combat-turret-gun";
data.raw.recipe["y-gun-turret-mk3-recipe"].order = "z";

--Liquid Storage-->
data.raw.item["y-tank-1000"].subgroup = "logistic-liquid-storage";
data.raw.item["y-tank-1000"].order = "e";
data.raw.recipe["y-tank-1000-recipe"].subgroup = "logistic-liquid-storage";
data.raw.recipe["y-tank-1000-recipe"].order = "e";

data.raw.item["y-tank-4500"].subgroup = "logistic-liquid-storage";
data.raw.item["y-tank-4500"].order = "f";
data.raw.recipe["y-tank-4500-recipe"].subgroup = "logistic-liquid-storage";
data.raw.recipe["y-tank-4500-recipe"].order = "f";

data.raw.item["y-tank-8000"].subgroup = "logistic-liquid-storage";
data.raw.item["y-tank-8000"].order = "g";
data.raw.recipe["y-tank-8000-recipe"].subgroup = "logistic-liquid-storage";
data.raw.recipe["y-tank-8000-recipe"].order = "g";

data.raw.item["y-tank-24k"].subgroup = "logistic-liquid-storage";
data.raw.item["y-tank-24k"].order = "h";
data.raw.recipe["y-tank-24k-recipe"].subgroup = "logistic-liquid-storage";
data.raw.recipe["y-tank-24k-recipe"].order = "h";

--Pump-->
data.raw.item["y-valve-direction-buffer"].subgroup = "energy-pipe-distribution";
data.raw.item["y-valve-direction-buffer"].order = "z";
data.raw.recipe["y-valve-direction-buffer-recipe"].subgroup = "energy-pipe-distribution";
data.raw.recipe["y-valve-direction-buffer-recipe"].order = "z";

data.raw.item["y-water-gen"].subgroup = "extraction-machine";
data.raw.item["y-water-gen"].order = "c";
data.raw.recipe["y-water-gen-recipe"].subgroup = "extraction-machine";
data.raw.recipe["y-water-gen-recipe"].order = "c";

data.raw.item["y-water-gen-e"].subgroup = "extraction-machine";
data.raw.item["y-water-gen-e"].order = "d";
data.raw.recipe["y-water-gen-recipe-e"].subgroup = "extraction-machine";
data.raw.recipe["y-water-gen-recipe-e"].order = "d";

data.raw.item["y_flowcheck_10"].subgroup = "energy-pipe-distribution";
data.raw.item["y_flowcheck_10"].order = "f";
data.raw.recipe["y_flowcheck_10_recipe"].subgroup = "energy-pipe-distribution";
data.raw.recipe["y_flowcheck_10_recipe"].order = "f";


--Light-->
data.raw.item["y-tinylamp"].subgroup = "energy-light";
data.raw.item["y-tinylamp"].order = "d";
data.raw.recipe["y-tinylamp-recipe"].subgroup = "energy-light";
data.raw.recipe["y-tinylamp-recipe"].order = "d";

data.raw.item["y-powerlamp"].subgroup = "energy-light";
data.raw.item["y-powerlamp"].order = "d";
data.raw.recipe["y-powerlamp-recipe"].subgroup = "energy-light";
data.raw.recipe["y-powerlamp-recipe"].order = "d";

data.raw.item["y-lamp-alien"].subgroup = "energy-light";
data.raw.item["y-lamp-alien"].order = "e";
data.raw.recipe["y-lamp-alien-recipe"].subgroup = "energy-light";
data.raw.recipe["y-lamp-alien-recipe"].order = "e";

data.raw.item["y_lamp_red"].subgroup = "energy-light";
data.raw.item["y_lamp_red"].order = "f";
data.raw.recipe["y_lamp_red_recipe"].subgroup = "energy-light";
data.raw.recipe["y_lamp_red_recipe"].order = "f";

data.raw.item["y_lamp_green"].subgroup = "energy-light";
data.raw.item["y_lamp_green"].order = "f";
data.raw.recipe["y_lamp_green_recipe"].subgroup = "energy-light";
data.raw.recipe["y_lamp_green_recipe"].order = "f";

data.raw.item["y_lamp_blue"].subgroup = "energy-light";
data.raw.item["y_lamp_blue"].order = "f";
data.raw.recipe["y_lamp_blue_recipe"].subgroup = "energy-light";
data.raw.recipe["y_lamp_blue_recipe"].order = "f";

data.raw.item["y_lamp_yellow"].subgroup = "energy-light";
data.raw.item["y_lamp_yellow"].order = "f";
data.raw.recipe["y_lamp_yellow_recipe"].subgroup = "energy-light";
data.raw.recipe["y_lamp_yellow_recipe"].order = "f";

data.raw.item["yi-monument1"].subgroup = "decoration-banner";
data.raw.item["yi-monument1"].order = "b";
data.raw.recipe["yi-monument1-recipe"].subgroup = "decoration-banner";
data.raw.recipe["yi-monument1-recipe"].order = "b";
